@echo off
cls

echo.
echo DUKE PLUS
echo.
echo by DeeperThought
echo.
:axe
REM echo.Remember to add -gPRE.ZIP for Preston Road!
// SET /P MAP=Which map-
rem EDuke32.exe -gpre.zip -game_dir DukePlus -map %MAP%
rem GOTO :AXE
echo.Preston Road map by High Treason
echo.
IF NOT EXIST EDUKE32.EXE GOTO :NOED1
start EDuke32.exe -gPRE_BETA.zip -game_dir DukePlus -map PRE.MAP
GOTO :CLOSE

:NOED1
echo.It seems EDuke32.exe is not present, looking for EDuke32.new.exe
IF NOT EXIST EDUKE32.NEW.EXE GOTO :NOED2
start EDuke32.new.exe -gPRE_BETA.zip -game_dir DukePlus -map PRE.MAP
GOTO :CLOSE

:NOED2
echo.
echo.I could not find EDuke32.exe or EDuke32.new.exe - Check the PREadme.txt
echo.Press any key to exit.
pause > nul

:CLOSE
exit